## gate.util
Class DocumentFormatException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--gate.util.GateException
                        |
                        +--gate.util.DocumentFormatException

All Implemented Interfaces:
  Serializable

public class DocumentFormatException
extends GateException

This exception can be used to catch any internal exception thrown by the DocumentFormat class and its subbclasses.

See Also:
  Serialized Form

Constructor Summary
`DocumentFormatException()`
`DocumentFormatException(Exception anException)`
`DocumentFormatException(String aMessage)`
`DocumentFormatException(String aMessage, Exception anException)`

Methods inherited from class gate.util.GateException
`printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentFormatException

    public DocumentFormatException()

### DocumentFormatException

    public DocumentFormatException(String aMessage,
                                   Exception anException)

### DocumentFormatException

    public DocumentFormatException(String aMessage)

### DocumentFormatException

    public DocumentFormatException(Exception anException)